{% extends 'base.html' %}

{% block content %}
<div class="col-sm-6 col-sm-offset-3">
  <form method="GET" action=".">
    <div class="input-group">
        <input class="form-control" type='text' name="q" placeholder="search posts" value="{{ request.GET.q }}"/>
        <span class="input-group-btn">
          <button class='btn btn-default' type="submit" value="search"/>Search <i class="fa fa-search"></i></button>
        </span>
    </div>
  </form>
{% for obj in object_list %}
<div class="row">
  <div class="col-sm-12">
    <div class="thumbnail">
      {% if obj.image %}
      <img src="{{ obj.image.url }}" class="img-responsive"/>
      {% endif %}
      <div class="caption post-detail-item">
        <h3>{% if obj.draft %}<span style='color:red;'>Draft </span>{% endif %}{% if obj.publish > today %}Future Post{% endif %}</h3>
        <h3>  <a href='{{ obj.get_absolute_url }}'>{{obj.title}}</a><small>  {{obj.publish}}</small></h3>
        <p>Author: {{ obj.user }} </p>
        {{obj.get_markdown|truncatechars_html:30}}
        <p><a href="{{ obj.get_absolute_url }}" class="btn btn-primary" role="button">View</a> </p>
      </div>
    </div>
  </div>
</div>
<hr/>
{% endfor %}
<div class="pagination">
    <span class="step-links">
        {% if object_list.has_previous %}
            <a href="?page={{ object_list.previous_page_number }} {% if request.GET.q %} & q={{ request.GET.q}} {% endif %}">previous</a>
        {% endif %}

        <span class="current">
            Page {{ object_list.number }} of {{ object_list.paginator.num_pages }}.
        </span>

        {% if object_list.has_next %}
            <a href="?page={{ object_list.next_page_number }} {% if request.GET.q %} & q={{ request.GET.q}} {% endif %}">next</a>
        {% endif %}
    </span>
</div>
</div>
{% endblock content %}
